package com.steerinfo.ems.tcm0365.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TCm0365 implements IBasePO<String> {
    /**
     * 运方单编号(BILLSNO,VARCHAR,36)
     */
    @ApiModelProperty(value="运方单编号",required=false)
    private String billsno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录ID",required=true)
    private String recordid;

    /**
     * 运行主管(APPLYMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="运行主管",required=true)
    private String applyman;

    /**
     * 注意事项(ATTENTION,VARCHAR,2048)
     */
    @ApiModelProperty(value="注意事项",required=true)
    private String attention;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    /**
     * 变电所(室)(CHANGEELECTRICROOM,VARCHAR,36)
     */
    @ApiModelProperty(value="变电所(室)",required=true)
    private String changeelectricroom;

    /**
     * 工作负责人(CHARGEMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="工作负责人",required=true)
    private String chargeman;

    /**
     * 联系电话(CHARGETEL,VARCHAR,36)
     */
    @ApiModelProperty(value="联系电话",required=true)
    private String chargetel;

    /**
     * 工作内容(CONTENT,VARCHAR,2048)
     */
    @ApiModelProperty(value="工作内容",required=true)
    private String content;

    /**
     * 工作内容(WORKCONTENT,VARCHAR,2048)
     */
    @ApiModelProperty(value="工作内容",required=true)
    private String workcontent;

    /**
     * 工作内容修改(CONTENTCHANGE,VARCHAR,2048)
     */
    @ApiModelProperty(value="工作内容修改",required=true)
    private String contentchange;

    /**
     * 编制时间(CREATTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="编制时间",required=true)
    private String creattime;

    /**
     * 执行负责人(EXECUTIVECHARGEMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="执行负责人",required=true)
    private String executivechargeman;

    /**
     * 执行情况(EXECUTIVESITUATION,VARCHAR,2048)
     */
    @ApiModelProperty(value="执行情况",required=true)
    private String executivesituation;

    /**
     * 实际执行时间(EXECUTIVETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="实际执行时间",required=true)
    private String executivetime;

    /**
     * 线路(设备)(LINEEQUIP,VARCHAR,36)
     */
    @ApiModelProperty(value="线路(设备)",required=true)
    private String lineequip;

    /**
     * 用户名称(MANNAME,VARCHAR,36)
     */
    @ApiModelProperty(value="用户名称",required=true)
    private String manname;

    /**
     * 介质系统(MEDIUMSYSTEM,VARCHAR,36)
     */
    @ApiModelProperty(value="介质系统",required=true)
    private String mediumsystem;

    /**
     * 备注(NOTE,VARCHAR,2048)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 通知日期(NOTICETIME,VARCHAR,40)
     */
    @ApiModelProperty(value="通知日期",required=true)
    private String noticetime;

    /**
     * 操作状态(OPERATESTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="操作状态",required=true)
    private String operatestatus;

    /**
     * 运行方式(RUNWAY,VARCHAR,2048)
     */
    @ApiModelProperty(value="运行方式",required=true)
    private String runway;

    /**
     * 签收人(SIGNMAN,VARCHAR,36)
     */
    @ApiModelProperty(value="签收人",required=true)
    private String signman;

    /**
     * 签收时间(SIGNTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="签收时间",required=true)
    private String signtime;

    /**
     * 停役持续开始时间(STARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="停役持续开始时间",required=true)
    private String starttime;

    /**
     * 停役持续结束时间(STOPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="停役持续结束时间",required=true)
    private String stoptime;

    /**
     * 状态(TASKSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="状态",required=true)
    private String taskstatus;

    /**
     * 停电工作开始时间(TDSTARTTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="停电工作开始时间",required=true)
    private String tdstarttime;

    /**
     * 停电工作结束时间(TDSTOPTIME,VARCHAR,40)
     */
    @ApiModelProperty(value="停电工作结束时间",required=true)
    private String tdstoptime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.billsno;
    }

    @Override
    public void setId(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getBillsno() {
        return billsno;
    }

    public void setBillsno(String billsno) {
        this.billsno = billsno == null ? null : billsno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getApplyman() {
        return applyman;
    }

    public void setApplyman(String applyman) {
        this.applyman = applyman == null ? null : applyman.trim();
    }

    public String getAttention() {
        return attention;
    }

    public void setAttention(String attention) {
        this.attention = attention == null ? null : attention.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    public String getChangeelectricroom() {
        return changeelectricroom;
    }

    public void setChangeelectricroom(String changeelectricroom) {
        this.changeelectricroom = changeelectricroom == null ? null : changeelectricroom.trim();
    }

    public String getChargeman() {
        return chargeman;
    }

    public void setChargeman(String chargeman) {
        this.chargeman = chargeman == null ? null : chargeman.trim();
    }

    public String getChargetel() {
        return chargetel;
    }

    public void setChargetel(String chargetel) {
        this.chargetel = chargetel == null ? null : chargetel.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public String getWorkcontent() {
        return workcontent;
    }

    public void setWorkcontent(String workcontent) {
        this.workcontent = workcontent == null ? null : workcontent.trim();
    }

    public String getContentchange() {
        return contentchange;
    }

    public void setContentchange(String contentchange) {
        this.contentchange = contentchange == null ? null : contentchange.trim();
    }

    public String getCreattime() {
        return creattime;
    }

    public void setCreattime(String creattime) {
        this.creattime = creattime == null ? null : creattime.trim();
    }

    public String getExecutivechargeman() {
        return executivechargeman;
    }

    public void setExecutivechargeman(String executivechargeman) {
        this.executivechargeman = executivechargeman == null ? null : executivechargeman.trim();
    }

    public String getExecutivesituation() {
        return executivesituation;
    }

    public void setExecutivesituation(String executivesituation) {
        this.executivesituation = executivesituation == null ? null : executivesituation.trim();
    }

    public String getExecutivetime() {
        return executivetime;
    }

    public void setExecutivetime(String executivetime) {
        this.executivetime = executivetime == null ? null : executivetime.trim();
    }

    public String getLineequip() {
        return lineequip;
    }

    public void setLineequip(String lineequip) {
        this.lineequip = lineequip == null ? null : lineequip.trim();
    }

    public String getManname() {
        return manname;
    }

    public void setManname(String manname) {
        this.manname = manname == null ? null : manname.trim();
    }

    public String getMediumsystem() {
        return mediumsystem;
    }

    public void setMediumsystem(String mediumsystem) {
        this.mediumsystem = mediumsystem == null ? null : mediumsystem.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getNoticetime() {
        return noticetime;
    }

    public void setNoticetime(String noticetime) {
        this.noticetime = noticetime == null ? null : noticetime.trim();
    }

    public String getOperatestatus() {
        return operatestatus;
    }

    public void setOperatestatus(String operatestatus) {
        this.operatestatus = operatestatus == null ? null : operatestatus.trim();
    }

    public String getRunway() {
        return runway;
    }

    public void setRunway(String runway) {
        this.runway = runway == null ? null : runway.trim();
    }

    public String getSignman() {
        return signman;
    }

    public void setSignman(String signman) {
        this.signman = signman == null ? null : signman.trim();
    }

    public String getSigntime() {
        return signtime;
    }

    public void setSigntime(String signtime) {
        this.signtime = signtime == null ? null : signtime.trim();
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime == null ? null : starttime.trim();
    }

    public String getStoptime() {
        return stoptime;
    }

    public void setStoptime(String stoptime) {
        this.stoptime = stoptime == null ? null : stoptime.trim();
    }

    public String getTaskstatus() {
        return taskstatus;
    }

    public void setTaskstatus(String taskstatus) {
        this.taskstatus = taskstatus == null ? null : taskstatus.trim();
    }

    public String getTdstarttime() {
        return tdstarttime;
    }

    public void setTdstarttime(String tdstarttime) {
        this.tdstarttime = tdstarttime == null ? null : tdstarttime.trim();
    }

    public String getTdstoptime() {
        return tdstoptime;
    }

    public void setTdstoptime(String tdstoptime) {
        this.tdstoptime = tdstoptime == null ? null : tdstoptime.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", billsno=").append(billsno);
        sb.append(", recordid=").append(recordid);
        sb.append(", applyman=").append(applyman);
        sb.append(", attention=").append(attention);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", changeelectricroom=").append(changeelectricroom);
        sb.append(", chargeman=").append(chargeman);
        sb.append(", chargetel=").append(chargetel);
        sb.append(", content=").append(content);
        sb.append(", workcontent=").append(workcontent);
        sb.append(", contentchange=").append(contentchange);
        sb.append(", creattime=").append(creattime);
        sb.append(", executivechargeman=").append(executivechargeman);
        sb.append(", executivesituation=").append(executivesituation);
        sb.append(", executivetime=").append(executivetime);
        sb.append(", lineequip=").append(lineequip);
        sb.append(", manname=").append(manname);
        sb.append(", mediumsystem=").append(mediumsystem);
        sb.append(", note=").append(note);
        sb.append(", noticetime=").append(noticetime);
        sb.append(", operatestatus=").append(operatestatus);
        sb.append(", runway=").append(runway);
        sb.append(", signman=").append(signman);
        sb.append(", signtime=").append(signtime);
        sb.append(", starttime=").append(starttime);
        sb.append(", stoptime=").append(stoptime);
        sb.append(", taskstatus=").append(taskstatus);
        sb.append(", tdstarttime=").append(tdstarttime);
        sb.append(", tdstoptime=").append(tdstoptime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}